/completions#
Well completions. Well level frac jobs by date.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/completions |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/completions" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
well_completion_resp = hyperion_api_client.well_completion()
well_completion_df = well_completion_resp.df()
well_completion_df.head()
# Example of a Windows PowerShell request to the well_completion endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"state_code`":[`"TX`"],`"region_natgas`":[`"gulf`"]}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/completions' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
completion_class |
string array |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
county |
string array |
The county the well is in |
CAMPBELL |
date_completion_end_max |
— |
The date range maximum the well crew completed fracking in YYYY-MM-DD format |
— |
date_completion_end_min |
— |
The date range minimum the well crew completed fracking in YYYY-MM-DD format |
— |
date_completion_start_max |
— |
The date range maximum the well crew started fracking in YYYY-MM-DD format |
— |
date_completion_start_min |
— |
The date range minimum the well crew started fracking in YYYY-MM-DD format |
— |
operator |
string array |
A well operator |
BILL BARRETT CORPORATION |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
state_code |
string array |
An array of state abbreviations |
WY |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
completion_class |
string |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
count |
integer |
The number of completions observed |
— |
county |
string |
The county the well is in |
CAMPBELL |
date_completion_end |
— |
The date observed via satellite that the well crew completed fracking in YYYY-MM-DD format |
— |
date_completion_start |
— |
The date the well crew started fracking in YYYY-MM-DD format |
— |
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
state_code |
string |
A state abbreviation |
WY |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
well_id |
string |
A well identifier |
14081712000 |
wellpad_id |
string |
The unique identifier for the wellpad |
— |
Aggregation#
Supported parameters: county, date_completion_start, date_completion_end, operator, region_natgas, state_code, sub_region_natgas
Normal Output#
completion_class |
county |
date_completion_start |
date_completion_end |
operator |
region_natgas |
state_code |
sub_region_natgas |
wellpad_id |
well_id |
|---|---|---|---|---|---|---|---|---|---|
oil |
REEVES |
2020-12-25 |
2020-12-31 |
CONOCOPHILLIPS |
gulf |
TX |
West - TX |
103181 |
4238939178 |
oil |
REEVES |
2021-11-12 |
2021-12-02 |
CONOCOPHILLIPS |
gulf |
TX |
West - TX |
103181 |
4238939207 |
oil |
REEVES |
2021-11-12 |
2021-12-02 |
CONOCOPHILLIPS |
gulf |
TX |
West - TX |
103181 |
4238939183 |
oil |
REEVES |
2021-03-10 |
2021-03-12 |
CONOCOPHILLIPS |
gulf |
TX |
West - TX |
103181 |
4238939193 |
oil |
HOWARD |
2023-02-14 |
2023-03-20 |
CROWNQUEST OPERATING LLC |
gulf |
TX |
West - TX |
104356 |
4222741487 |
oil |
HOWARD |
2023-02-14 |
2023-03-20 |
CROWNQUEST OPERATING LLC |
gulf |
TX |
West - TX |
104356 |
4222741488 |
oil |
HOWARD |
2023-02-14 |
2023-03-20 |
CROWNQUEST OPERATING LLC |
gulf |
TX |
West - TX |
104356 |
4222741489 |
oil |
HOWARD |
2023-02-14 |
2023-03-20 |
CROWNQUEST OPERATING LLC |
gulf |
TX |
West - TX |
104356 |
4222741490 |
oil |
HOWARD |
2023-02-14 |
2023-03-20 |
CROWNQUEST OPERATING LLC |
gulf |
TX |
West - TX |
104356 |
4222741491 |
oil |
HOWARD |
2023-02-14 |
2023-03-20 |
CROWNQUEST OPERATING LLC |
gulf |
TX |
West - TX |
104356 |
4222741496 |